Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.xml.bind
Class MarshalException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.bind.JAXBException
javax.xml.bind.MarshalException`

All Implemented Interfaces:
  java.io.Serializable

      public class MarshalException

extends JAXBException

This exception indicates that an error has occured while performing a marshal operation that the provider is unable to recover from.

Since:
  JAXB1.0
See Also:
  `JAXBException`, `Marshaller`, Serialized Form

Constructor Summary
`MarshalException(java.lang.String message)` Construct a MarshalException with the specified detail message.
`MarshalException(java.lang.String message, java.lang.String errorCode)` Construct a MarshalException with the specified detail message and vendor specific errorCode.
`MarshalException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a MarshalException with the specified detail message and vendor specific errorCode.
`MarshalException(java.lang.String message, java.lang.Throwable exception)` Construct a MarshalException with the specified detail message and linkedException.
`MarshalException(java.lang.Throwable exception)` Construct a MarshalException with a linkedException.

Method Summary

Methods inherited from class javax.xml.bind.JAXBException
`getErrorCode, getLinkedException, printStackTrace, printStackTrace, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarshalException

    public MarshalException(java.lang.String message)

  Construct a MarshalException with the specified detail message. The errorCode and linkedException will default to null.
  Parameters:
    `message` - a description of the exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.String errorCode)

  Construct a MarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code

### MarshalException

    public MarshalException(java.lang.Throwable exception)

  Construct a MarshalException with a linkedException. The detail message and vendor specific errorCode will default to null.
  Parameters:
    `exception` - the linked exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.Throwable exception)

  Construct a MarshalException with the specified detail message and linkedException. The errorCode will default to null.
  Parameters:
    `message` - a description of the exception
    `exception` - the linked exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.String errorCode,
                            java.lang.Throwable exception)

  Construct a MarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code
    `exception` - the linked exception

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2001 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.